--
-- silageAdditive-Script
-- 
-- Author: Dominik Raith (DR_Modding)
--
--	add fillType SILAGEADDITIVE
--
--

local modDirectory = g_currentModDirectory

-----------------------------------------------
-- register new FillType: SILAGEADDITIVE
function onLoadMapFinished(mission, node)

    if node ~= 0 then
        local hudOverlayFilename = "silageAdditive/huds/hud_fill_silageAdditives.png"
        local hudOverlayFilenameSmall = "silageAdditive/huds/hud_fill_silageAdditives_small.png"
		print("Register filltype: SILAGEADDITIVE");
        g_fillTypeManager:addFillType("SILAGEADDITIVE", g_i18n:getText("fillType_silageAdditive"), false, 1, 1/1000, 1, hudOverlayFilename, hudOverlayFilenameSmall, modDirectory, nil, { 1, 1, 1 }, nil, false)
		
		local name = "SILAGEADDITIVE"
        local litersPerSecond = 0.0060
        local typeName = "FERTILIZER"
        local groundType = 1
		local isBaseType = false
		
		g_sprayTypeManager:addSprayType(name, litersPerSecond, typeName, groundType, isBaseType)
		
		local fillTypeIndex = g_fillTypeManager:getFillTypeIndexByName("SILAGEADDITIVE")
		--local categoryIndex = g_fillTypeManager.nameToCategoryIndex["SPRAYER"];
        --g_fillTypeManager:addFillTypeToCategory(fillTypeIndex, categoryIndex);
				
		g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
		
    end
	
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)



